TR(1)

NAZWA
tr - zamienia lub usuwa znaki

SKŁADNIA
tr [OPCJA]... ZBIÓR1 [ZBIÓR2]

OPIS

Zamienia, kasuje powtórzone i/lub usuwa znaki ze standardowego wejścia, wypisując wynik na standardowe wyjście.

-c, -C, --complement
    używa dopełnienia ZBIORU1

-d, --delete
    usuwa znaki ze ZBIORU1, nie zamienia ich

-s, --squeeze-repeats
    zastępuje każdą sekwencję powtórzonego znaku określonego w ostatnim ZBIORZE, pojedynczym wystąpieniem tego znaku

-t, --truncate-set1
    najpierw przycina ZBIÓR1 do długości ZBIORU2

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ZBIÓR składa się z podanych łańcuchów znaków. Większość znaków reprezentuje siebie. Interpretowane są następujące sekwencje:

\NNN
    znak o wartości ósemkowej NNN (1 do 3 cyfr ósemkowych)

\\  odwrotny ukośnik

\a  dzwonek, alarm (BEL)

\b  backspace

\f  wysuw strony

\n  znak nowego wiersza

\r  powrót karetki

\t  tabulacja pozioma

\v  tabulacja pionowa

ZNAK1-ZNAK2
    wszystkie znaki od ZNAKU1 do ZNAKU2 w kolejności rosnącej

[ZNAK*]
    w ZBIORZE2 kopiuje ZNAK, dopóki nie osiągnie długości ZBIORU1

[ZNAK*LICZBA-POWTÓRZEŃ]
    kopiuje ZNAK LICZBĘ-POWTÓRZEŃ razy (w notacji ósemkowej, licząc od zera)

[:alnum:]
    wszystkie litery i cyfry

[:alpha:]
    wszystkie litery

[:blank:]
    wszystkie odstępy poziome (tzw. białe znaki)

[:cntrl:]
    wszystkie znaki sterujące

[:digit:]
    wszystkie cyfry

[:graph:]
    wszystkie znaki drukowalne, z wyłączeniem spacji

[:lower:]
    wszystkie małe litery

[:print:]
    wszystkie znaki drukowalne, łącznie ze spacją

[:punct:]
    wszystkie znaki interpunkcyjne

[:space:]
    wszystkie odstępy poziome lub pionowe (tzw. białe znaki)

[:upper:]
    wszystkie wielkie litery

[:xdigit:]
    wszystkie cyfry szesnastkowe

[=ZNAK=]
    wszystkie znaki, które są równoważne ZNAKOWI

Do zamiany dochodzi, gdy nie podano opcji -d, natomiast podano ZBIÓR1 oraz ZBIÓR2. Opcja -t może być użyta tylko przy zamianie. ZBIÓR2 jest uzupełniany do długości ZBIORU1, przez powtarzanie ostatniego jego znaku, aż do osiągnięcia wymaganej długości. Nadmiarowe znaki ZBIORU2 są ignorowane. Gwarantuje się rozwinięcie jedynie [:lower:] i [:upper:] w porządku rosnącym; jeśli są wykorzystane przy zamianie, w ZBIORZE2, to mogą być używane tylko, gdy są zestawione w parach, do przeprowadzenia zamiany wielkości znaków. Opcja -s używa ostatnio określonego ZBIORU i ma miejsce już po zamianie i usuwaniu.

AUTOR
Napisane przez Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/tr>
lub lokalnie, za pomocą info '(coreutils) tr invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.